package cgroupv1_release_agent

import (
	"ctrsploit/log"
	"github.com/ssst0n3/awesome_libs/awesome_error"
	"golang.org/x/sys/unix"
)

func MountProc(dest string) (err error) {
	err = unix.Mount("none", dest, "proc", 0, "proc")
	if err != nil {
		awesome_error.CheckErr(err)
		return
	}
	return
}

func MountCgroupV1(dest string, options string) (err error) {
	log.Logger.Debug("mount cgroup to ", dest)
	err = unix.Mount("none", dest, "cgroup", 0, options)
	if err != nil {
		awesome_error.CheckErr(err)
		return
	}
	return
}

func Unmount(dest string) (err error) {
	err = unix.Unmount(dest, 0)
	if err != nil {
		awesome_error.CheckErr(err)
		return
	}
	return
}
